EXP2(3)

NAME
exp2, exp2f, exp2l - base-2 exponential function

LIBRARY
Math library (libm, -lm)

SYNOPSIS
#include <math.h>

double exp2(double x);
float exp2f(float x);
long double exp2l(long double x);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

exp2(), exp2f(), exp2l():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L

DESCRIPTION
These functions return the value of 2 raised to the power of x.

RETURN VALUE
On success, these functions return the base-2 exponential value of x.

For various special cases, including the handling of infinity and NaN, as well as overflows and underflows, see exp(3).

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

For a discussion of the errors that can occur for these functions, see exp(3).

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C99, POSIX.1-2001, POSIX.1-2008.

The variant returning double also conforms to SVr4, 4.3BSD.

SEE ALSO
cbrt(3), cexp2(3), exp(3), exp10(3), sqrt(3)